﻿.works-pages-box{
    width: 100%;
    min-height: 100vh;
    display: block;
    position: relative;
    overflow: hidden;
    background-color: #023465;
    box-sizing: border-box;
    padding-bottom: 60px;
    margin-top: 133px;
}
.works-pages-all-box{
    width: 1280px;
    max-width: 100%;
    display: block;
    margin: 0 auto;
    font-size: 0;
    box-sizing: border-box;
    position: relative;
}
.works-pages-title-box{
    box-sizing: border-box;
    padding-top: 60px;
    padding-bottom: 40px;
}
.works-pages-title-box>p{
    font-family: 'Noto Sans TC';
    font-weight: 700;
    font-size: 28px;
    color: #fff;
    line-height: 36px;
    letter-spacing: 0.06em;
    display: inline-block;
    vertical-align: bottom;
}
.works-pages-title-box>span{
    font-family: 'Noto Sans TC';
    font-weight: 700;
    font-size: 18px;
    color: #ccc;
    line-height: 24px;
    letter-spacing: 0.06em;
    display: inline-block;
    vertical-align: bottom;
    margin-left: 10px;
}
.works-pages-bigImg-box{
    background-color: #fff;
}
.works-pages-bigImg-info{
    margin: 0 20px;
    position: relative;
}
.works-pages-bigImg-img{
    width: 100%;
    display: inline-block;
    height: calc((100vh - 133px - 105px - 40px - 40px)); /* 螢幕高 - header高 - 小圖高 - 間距 - 預留位置 */
    min-height: 210px;
    position: relative;
}
/* .works-pages-bigImg-img>img{
    max-width: 100%;
    margin: 0 auto;
} */
.works-pages-bigImg-text{
    position: absolute;
    bottom: 45px;
    left: 50%;
    transform: translateX(-50%);
    width: 80%;
    box-sizing: border-box;
    padding: 10px;
    background-color: rgba(255, 255, 255, 0.5);
    font-family: 'Noto Sans TC';
    font-weight: 700;
    font-size: 16px;
    color: #000;
    line-height: 20px;
    letter-spacing: 0.06em;
    max-width: 95%;
    display:         flex;
    display: -webkit-flex;
    align-items: center;
    -webkit-align-items: center;
    justify-content: center;
    -webkit-justify-content: center;
    flex-direction: column;
    min-height: 50px;
    opacity: 0;
    transition: all .3s linear;
}
.slick-current .works-pages-bigImg-text{
    opacity: 1;
}
.works-pages-smallImg-box{
    margin-top: 40px;
}
.works-pages-smallImg-info {
    width: calc((1280px - (40px * 8)) / 9);
    height: calc((1280px - (40px * 8)) / 9);
    display: block;
    position: relative;
    overflow: hidden;
    margin-right: 40px;
}
.works-pages-info-box{
    box-sizing: border-box;
    padding: 90px 0;
}
.works-pages-info-title{
    font-family: 'Noto Sans TC';
    font-weight: 700;
    font-size: 36px;
    color: #fff;
    line-height: 1;
    letter-spacing: 0.06em;
}
.works-pages-info-style{
    font-family: 'Noto Sans TC';
    font-weight: 700;
    font-size: 18px;
    color: #fba804;
    line-height: 2;
    letter-spacing: 0.06em;
    margin-top: 5px;
}
.works-pages-info-text{
    font-family: 'Noto Sans TC';
    font-weight: 300;
    font-size: 18px;
    color: #fff;
    line-height: 2;
    letter-spacing: 0.06em;
    margin-top: 30px;
}
.works-pages-other-title-box{
    font-family: 'Noto Sans TC';
    font-weight: 700;
    font-size: 24px;
    color: #fff;
    line-height: 36px;
    letter-spacing: 0.06em;
}
.works-pages-other-info-box{
    margin-top: 30px;
}
.works-pages-other-info{
    width: calc((1280px - 80px) / 3);
    display: inline-block;
    vertical-align: top;
    margin-right: 40px;
}
.works-pages-other-info:nth-child(3n){
    margin-right: 0;
}
.works-pages-other-info-img-box{
    width: 100%;
    height: calc((260 / 400) * ((1280px - 80px) / 3));
    display: block;
    overflow: hidden;
    position: relative;
}
.works-pages-other-name-box{
    font-family: 'Noto Sans TC';
    font-weight: 700;
    font-size: 18px;
    color: #fff;
    line-height: 2;
    letter-spacing: 0.06em;
    overflow : hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    margin-top: 20px;
}



@media only screen and (max-width: 1280px){
    .works-pages-all-box{
        width: 1200px;
    }
    .works-pages-other-info{
        width: calc((1200px - 80px) / 3);
    }
    .works-pages-other-info-img-box{
        height: calc((260 / 400) * ((1200px - 80px) / 3));
    }
    .works-pages-bigImg-img{
        height: calc((100vh - 133px - 98px - 40px - 40px));
    }
    .works-pages-smallImg-info {
        width: calc((1200px - (40px * 8)) / 9);
        height: calc((1200px - (40px * 8)) / 9);
    }
}
@media only screen and (max-width: 1200px){
    .works-pages-all-box{
        width: 1000px;
    }
    .works-pages-other-info{
        width: calc((1000px - 80px) / 3);
    }
    .works-pages-other-info-img-box{
        height: calc((260 / 400) * ((1000px - 80px) / 3));
    }
    .works-pages-bigImg-img{
        height: calc((100vh - 133px - 90px - 40px - 40px));
    }
    .works-pages-smallImg-info {
        width: calc((1000px - (40px * 7)) / 8);
        height: calc((1000px - (40px * 7)) / 8);
    }
}
@media only screen and (max-width: 1000px){
    .works-pages-all-box{
        width: 750px;
    }
    .works-pages-title-box{
        padding-top: 60px;
        padding-bottom: 30px;
    }
    .works-pages-other-info{
        width: calc((750px - 40px) / 3);
        margin-right: 20px;
    }
    .works-pages-other-info:nth-child(3n){
        margin-right: 0;
    }
    .works-pages-other-info-img-box{
        height: calc((260 / 400) * ((750px - 40px) / 3));
    }
    .works-pages-smallImg-box{
        margin-top: 20px;
    }
    .works-pages-bigImg-info{
        margin: 0 10px;
    }
    .works-pages-bigImg-img{
        height: calc((100vh - 133px - 76px - 20px - 20px));
    }
    .works-pages-smallImg-info {
        width: calc((750px - (20px * 7)) / 8);
        height: calc((750px - (20px * 7)) / 8);
        margin-right: 20px;
    }
    .works-pages-other-name-box{
        font-size: 16px;
        margin-top: 10px;
    }
    .works-pages-info-box{
        padding: 60px 0;
    }
}
@media only screen and (max-width: 768px){
    .works-pages-box{
        margin-top: 72px;
        padding-bottom: 40px;
    }
    .works-pages-all-box{
        width: 550px;
    }
    .works-pages-title-box {
        padding: 40px 0;
    }
    .works-pages-title-box>p{
        font-size: 22px;
        line-height: 30px;
    }
    .works-pages-title-box>span{
        font-size: 16px;
        line-height: 20px;
    }
    .works-pages-bigImg-text{
        bottom: 20px;
        min-height: 60px;
        line-height: 25px;
        font-size: 14px;
    }
    .works-pages-bigImg-img{
        height: calc((100vh - 133px - 76px - 20px - 20px));
    }
    .works-pages-smallImg-info {
        width: calc((550px - (20px * 5)) / 6);
        height: calc((550px - (20px * 5)) / 6);
    }
    .works-pages-info-box{
        padding: 40px 0;
    }
    .works-pages-info-title{
        font-size: 26px;
    }
    .works-pages-info-style{
        font-size: 16px;
        line-height: 1.6;
    }
    .works-pages-info-text{
        font-size: 16px;
        line-height: 1.6;
        margin-top: 10px;
    }
    
    .works-pages-other-title-box{
        line-height: 26px;
        font-size: 20px;
    }
    .works-pages-other-info-box{
        margin-top: 10px;
    }
    .works-pages-other-info{
        width: 100%;
        margin-right: 0;
    }
    .works-pages-other-info:nth-child(n + 2){
        margin-top: 20px;
    }
    .works-pages-other-info-img-box{
        height: calc((260 / 400) * 550px);
    }
    .works-pages-other-name-box{
        line-height: 1;
    }
}
@media only screen and (max-width: 550px){
    .works-pages-box {
        margin-top: 46px;
        padding-bottom: 20px;
    }
    .works-pages-all-box{
        width: 95vw;
    }
    .works-pages-title-box{
        padding: 20px 0;
    }
    .works-pages-title-box>p{
        font-size: 18px;
        line-height: 22px;
    }
    .works-pages-title-box>span{
        font-size: 14px;
        line-height: 16px;
        margin-left: 5px;
    }
    .works-pages-bigImg-info {
        margin: 0 5px;
    }
    .works-pages-bigImg-img {
        height: calc((100vh - 46px - 60px - 10px - 10px));
    }
    .works-pages-bigImg-text {
        bottom: 10px;
        min-height: 50px;
        line-height: 20px;
    }
    .works-pages-smallImg-box{
        margin-top: 10px;
    }
    .works-pages-smallImg-info{
        width: calc((95vw - (10px * 3)) / 4);
        height: calc((95vw - (10px * 3)) / 4);
        margin-right: 10px;
    }
    .works-pages-info-box {
        padding: 20px 0;
    }
    .works-pages-info-title{
        font-size: 20px;
    }
    .works-pages-info-style{
        font-size: 14px;
        line-height: 1.2;
    }
    .works-pages-info-text {
        font-size: 16px;
        line-height: 1.4;
    }
    .works-pages-other-title-box {
        line-height: 22px;
        font-size: 18px;
    }
    .works-pages-other-info-img-box {
        height: calc((260 / 400) * 95vw);
    }
    .works-pages-other-name-box{
        font-size: 14px;
        margin-top: 5px;
    }
}


@media only screen and (min-width: 769px){
    .page a:hover{
        color: #023465;
        background-color: #fba804;
    }

    .works-pages-smallImg-info{
        cursor: pointer;
    }
    .works-pages-smallImg-info::after{
        content: "";
        width: 100%;
        height: 100%;
        display: block;
        position: absolute;
        top: 0;
        left: 0;
        opacity: 0;
        box-sizing: border-box;
        border: 4px solid #fba804;
        transition: all .3s linear;
    }
    .works-pages-smallImg-info.slick-current::after{
        opacity: 1;
    }
    .works-pages-smallImg-info:hover::after{
        opacity: 1;
    }

    .works-pages-other-name-box{
        transition: all .3s linear;
    }
    .works-pages-other-info:hover .works-pages-other-info-img-box{
        box-shadow: 0 0 10px rgba(0, 0, 0, 0.3);
    }
    .works-pages-other-info:hover .main-bg{
        transform: scale(1.1);
    }
    .works-pages-other-info:hover .works-pages-other-name-box{
        color: #fba804;
    }


    .works-pages-title-box p,
    .works-pages-title-box span,
    .works-pages-bigImg-box,
    .works-pages-smallImg-box,
    .works-pages-info-box,
    .works-pages-other-title-box,
    .works-pages-other-info-box{
        opacity: 0;
    }
    .works-pages-title-box.anima p{
        animation: fadeInDown 1s ease 0s 1 both;
    }
    .works-pages-title-box.anima span{
        animation: fadeInRight 1s ease .6s 1 both;
    }
    .works-pages-bigImg-box.anima{
        animation: fade 1s ease 0s 1 both;
    }
    .works-pages-smallImg-box.anima{
        animation: fadeInUp 1s ease 0s 1 both;
    }
    .works-pages-info-box.anima{
        animation: fade 1s ease 0s 1 both;
    }
    .works-pages-other-title-box.anima{
        animation: fadeInRight 1s ease 0s 1 both;
    }
    .works-pages-other-info-box.anima{
        animation: fade 1s ease 0s 1 both;
    }
}